Subject: bug#22692: 25.0.91; xref-find-definitions fails to prompt

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Feb 2016 17:59:48 +0200

> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 19 Feb 2016 15:43:57 +0200
> Cc: [email-masked]
> 
> Validating identifiers against the tags table is a sensible suggestion, 

It is a valid use case to try to find out whether a symbol already has
some definition.  In that case, saying "no definition" is what the
user will expect for an undefined symbol, so asking for a symbol will
confuse.

> > Does "valid identifier" mean syntatically correct, or does it mean that
> > the identifier is in the tags table.  Please clarify the documentation.
> 
> We probably should just remove the word "valid" from there.

That depends on how you will change the behavior ;-)